# Uses of Interface
org.springframework.beans.factory.xml.DocumentLoader

Packages that use DocumentLoader
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of DocumentLoader in org.springframework.beans.factory.xml

Classes in org.springframework.beans.factory.xml that implement DocumentLoader
Modifier and Type
Class
Description
`class`
`DefaultDocumentLoader`
Spring's default `DocumentLoader` implementation.
Methods in org.springframework.beans.factory.xml with parameters of type DocumentLoader
Modifier and Type
Method
Description
`void`
XmlBeanDefinitionReader.`setDocumentLoader(DocumentLoader documentLoader)`
Specify the `DocumentLoader` to use.